// InputFormatException.java
//
// Informatics 43 Spring 2009
// Code Example: Unit Testing with JUnit
//
// This is a custom exception type, thrown from SongCollectionReader when the
// input source doesn't follow the input format (i.e., its last song is missing
// a title).
//
// By making this a "RuntimeException," we're making it "unchecked," which
// means that we're allowed to throw it from a method without saying "throws"
// in the method's signature.

public class InputFormatException extends RuntimeException
{
}
