// LineReader.java
//
// Informatics 43 Spring 2009
// Code Example: Unit Testing with JUnit
//
// A LineReader is an object that knows how to return lines of input, one at
// a time, from some input source.  That source might be a file, or it might
// be an ArrayList of Strings, or whatever else.

public interface LineReader
{
	// hasNextLine() returns true if there are more lines of input available,
	// false otherwise.
	boolean hasNextLine();

	// nextLine() returns the next line of input that's yet to be returned.
	String nextLine();
}
