// FileLineReader.java
//
// Informatics 43 Spring 2009
// Code Example: Unit Testing with JUnit
//
// A FileLineReader is a kind of LineReader that reads its lines of input
// from a text file.

import java.io.FileReader;
import java.io.IOException;
import java.util.Scanner;


public class FileLineReader implements LineReader
{
	private Scanner scanner;
	
	
	public FileLineReader(String filename)
	throws IOException
	{
		scanner = new Scanner(new FileReader(filename));
	}
	
	
	public boolean hasNextLine()
	{
		return scanner.hasNextLine();
	}
	
	
	public String nextLine()
	{
		return scanner.nextLine();
	}
}
