// SongCollection.java
//
// Informatics 43 Spring 2009
// Code Example: Unit Testing with JUnit
//
// This is a class that implements a portion of the functionality required to
// maintain a collection of songs.  In class, we only implemented the ability
// to keep track of the number of songs in the collection as new songs were
// added, so that's all that's available here.

public class SongCollection
{
	private int songCount;
	
	
	public SongCollection()
	{
		songCount = 0;
	}
	
	
	public int getSongCount()
	{
		return songCount;
	}
	
	
	public void addSong(Song songToAdd)
	{
		songCount++;
	}
}
